org.apache.tools.ant.taskdefs

## Class Definer.Format

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.Definer.Format

- Enclosing class:
    Definer

      public static class Definer.Format
      extends EnumeratedAttribute

  Enumerated type for format attribute
  See Also:
    `EnumeratedAttribute`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PROPERTIES` Enumerated values
    `static int` | `XML` Enumerated values

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Definer.Format()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getValues()` get the values

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTIES

          public static final int PROPERTIES

      Enumerated values
      See Also:
        Constant Field Values

    - #### XML

          public static final int XML

      Enumerated values
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Definer.Format

          public Definer.Format()

  - ### Method Detail

    - #### getValues

          public java.lang.String[] getValues()

      get the values
      Specified by:
        `getValues` in class `EnumeratedAttribute`
      Returns:
        an array of the allowed values for this attribute.